Update a company status
curl --request PATCH \
--url https://www.useroulette.com/api/v1/accounts/{account_id}/company-statuses/{status_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"color": "<string>",
"rank": 123,
"description": "<string>",
"is_default": true
}
'import requests
url = "https://www.useroulette.com/api/v1/accounts/{account_id}/company-statuses/{status_id}"
payload = {
"name": "<string>",
"color": "<string>",
"rank": 123,
"description": "<string>",
"is_default": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
color: '<string>',
rank: 123,
description: '<string>',
is_default: true
})
};
fetch('https://www.useroulette.com/api/v1/accounts/{account_id}/company-statuses/{status_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status_text": "Initial Review",
"color": "#3B82F6",
"rank": 123
}
}{
"success": false,
"error": "Invalid request body",
"data": null
}{
"success": false,
"error": "Invalid or expired API key",
"data": null
}{
"success": false,
"error": "Resource not found",
"data": null
}Company Statuses
Update a company status
Update the name, color, rank, or other properties of a status.
PATCH
/
accounts
/
{account_id}
/
company-statuses
/
{status_id}
Update a company status
Authorizations
API key authentication. Generate keys from your account settings.
Include in header: Authorization: Bearer YOUR_API_KEY
Path Parameters
The unique identifier of the account/team
Body
application/json
⌘I

